Collator::getLocale
Collator::getStrength
Collator
PHP Manual

# Collator::getSortKey

# collator_get_sort_key

Get sorting key for a string

### Description

Object oriented style

public string Collator::getSortKey ( string `$str` )

Procedural style

string collator_get_sort_key ( Collator `$coll` , string `$str` )

Return collation key for a string.

### Parameters

`coll`

  Collator object.

`str`

  The string to produce the key from.

### Return Values

Returns the collation key for the string. Collation keys can be compared directly instead of strings.

Warning

This function may return Boolean `FALSE`, but may also return a non-Boolean value which evaluates to `FALSE`. Please read the section on Booleans for more information. Use the === operator for testing the return value of this function.

### Examples

Example #1 collator_get_sort_keyexample

`<?php
$s1 = 'Hello';
$coll = collator_create( 'en_US' );
$res = collator_get_sort_key( $coll, $s1);
echo urlencode($res);
?>`

The above example will output:

71%3F%3FE%01%09%01%8F%08%00

### See Also

- collator_sort
- collator_sort_with_sort_keys